#
# spec file for package lentil
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with tests
Name:           lentil
Version:        1.0.9.0
Release:        8.8
Summary:        Frugal issue tracker
License:        GPL-3.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ansi-wl-pprint-devel
BuildRequires:  ghc-csv-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filemanip-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-natural-sort-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pipes-devel
BuildRequires:  ghc-regex-tdfa-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-terminal-progress-bar-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
Minumum effort, cohesive issue tracker based on ubiquitous 'TODO's and 'FIXME's
conventions. Check homepage for manual, tutorial, examples.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%check
%cabal_test

%files
%doc LICENSE
%doc README changes.txt contributors.txt doc
%{_bindir}/%{name}

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Apr  9 2017 psimons@suse.com
- Update to version 1.0.9.0 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.0.8.0 with cabal2obs.
